Subject: [bug#27888] [PATCH 01/18] gnu: python@3: Update to 3.6.2.

From: Marius Bakke <[email-masked]>
Date: Thu, 19 Oct 2017 20:15:56 +0200

Cyril Roelandt <[email-masked]> writes:

> On 10/19/2017 12:30 AM, Marius Bakke wrote:
>> I just pushed a rebased version of this branch to a new 'python-updates'
>> branch on Savannah, with Python 3.6.3 and 2.7.14.  I also have an update
>> for 'python-hypothesis' coming, probably this weekend.
>
> Do you wish to push the python-hypothesis update to core-updates as
> well? I have the following patch ready to be pushed:
>
> --- a/gnu/packages/python.scm
> +++ b/gnu/packages/python.scm
> @@ -10150,9 +10150,9 @@ seamlessly into your existing Python unit
> testing work flow.")
>    (let ((hypothesis (package-with-python2
>                       (strip-python2-variant python-hypothesis))))
>      (package (inherit hypothesis)
> -      (native-inputs
> +      (propagated-inputs
>         `(("python2-enum34" ,python2-enum34)
> -         ,@(package-native-inputs hypothesis))))))
> +         ,@(package-propagated-inputs hypothesis))))))
>
>  (define-public python-pytest-subtesthack
>    (package
>
>
> I need this to be able to upgrade python-chardet. Do you mind if I push
> this patch to master first?

Not at all; go ahead :) I have this in my queue as well, so LGTM!